gstreamer - Gstreamer 1.0 ios sdk安装程序安装失败

  显示原文与译文双语对照的内容
0 0

在使用该教程时,我使用了教程提供的链接并安装了 SDK,这是我第一次使用 Gstreamer: http://docs.gstreamer.com/display/GstSDK/Installing+for+iOS+development

安装工作正常,但是在开始尝试教程示例项目之后,有几个编译错误编译关于 miss gst/video/videooverlay.h 。 然后我查看了安装的GStreamer头文件夹下的头文件夹,没有名为视频/videooverlay 。h的文件,然后我在网上搜索,找到了以下信息: 提供iOS的Gstreamer已经过时。 我使用了用户密码包

来自 https://github.com/braincorp/gstreamer_ios_tutorial

然后我下载了另一个安装

当我试图安装新版本的时候,安装程序给了我错误说明: 无法在这里位置安装 GStreamer 1.0 ( 开发文件) 。

然后我想可能需要卸载以前的版本,但我无法找到安装程序的标准卸载选项,然后在网上搜索,找到一个帖子建议删除位于 ~/Library/Developer 下的GStreamer文件夹。

我已经删除了安装的文件夹,所以我没有任何头文件,但是新安装程序仍然提供了相同的错误

我一直在找这个,不能在线找到有用的信息,我真的想知道有什么线索和帮助。

谢谢 !

时间: 原作者:

0 0

在这里回答我自己的问题。 不确定什么是问题,重启我的mac后,运行安装程序两次同样的错误,它突然工作。。 我不确定这里有什么问题,希望svn团队能够在未来提高安装程序的稳定性。

原作者:
...